<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\Relations\BelongsTo;

class SongArrangementSection extends Model
{
    use HasFactory;

    protected $table = 'song_arrangement_labels';

    protected $fillable = [
        'song_arrangement_id',
        'song_section_id',
        'order',
    ];

    public function arrangement(): BelongsTo
    {
        return $this->belongsTo(SongArrangement::class, 'song_arrangement_id');
    }

    public function section(): BelongsTo
    {
        return $this->belongsTo(SongSection::class, 'song_section_id');
    }
}
